# Methods

## Index

```@index
Pages = ["Methods.md"]
```

## UnicodePlots

```@docs
unicode_scatter
unicode_density
unicode_force
unicode_radialforce
unicode_radialpotential
unicode_rotationcurve
unicode_projection
unicode_projection_density
unicode_slice
```

## GLMakie

```@docs
plot_makie
plot_makie!
plot_peano
```

## CairoMakie

```@docs
projection
projection_density
plot_slice
```

## Video

```@docs
png2video
mosaicview
```

## Tools

### Analysis

```@docs
rotationcurve
densitycurve
rotvel
radialvel
force
radialforce
radialpotential
distribution
pos_from_center
lagrange_radii
```

### Data processing

```@docs
pack_xy
sortarrays!
pos_from_center
```

### Meshes

```@docs
axisid
axis_cartesian
slice3d
```

### energy evolution

```docs
plot_energy
plot_energy_kinetic
plot_energy_potential
plot_energy_delta
plot_energy_delta!
kinetic_energy
sum_kinetic
sum_potential
```

### momentum evolution

```@docs
plot_momentum
plot_momentum_angular
```

### radii evolution

```@docs
plot_scaleradius
plot_lagrangeradii
plot_lagrangeradii!
plot_lagrangeradii90
plot_lagrangeradii90!
plot_radii
plot_radii!
```

### force distribution

```docs
plot_force
plot_force!
```

### density distribution

```@docs
plot_density
plot_density!
```